#include<bits/stdc++.h>
using namespace std;
int main() {
    int n;
    cin>>n;
    vector <int> v;
    vector <int> np;
    vector <int> p;
    for (int i=2*n; i>n; i--) {
        v.push_back(i);
    }
    v.push_back(n);
    for (int i=1; i<=n; i++) {
        if (i%2==0) {
            p.push_back(i);
        }
        else {
            np.push_back(i);
        }
    }
    int pi=0;
    int npi=0;
    int iv=0;
    int b=0;
    while (b<n) {
        if (b%2==0) {
            cout<<v[iv]<<" ";
            iv++;
        }
        else {
            cout<<np[npi]<<" ";
            npi++;
        }
        b++;
    }
    cout<<endl;
    while (b<n*2) {
        if (b%2==0) {
            cout<<v[iv]<<" ";
            iv++;
        }
        else {
            cout<<p[pi]<<" ";
            pi++;
        }
        b++;
    }
}